CounterCacheKey (apache-cassandra API)
Date: 2014-10-21

org.apache.cassandra.cache

## Class CounterCacheKey

- java.lang.Object
- - org.apache.cassandra.cache.CounterCacheKey

- All Implemented Interfaces:
    CacheKey, IMeasurableMemory

      public class CounterCacheKey
      extends java.lang.Object
      implements CacheKey

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `byte[]` | `cellName`
    `java.util.UUID` | `cfId`
    `byte[]` | `partitionKey`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static CounterCacheKey` | `create(java.util.UUID cfId, java.nio.ByteBuffer partitionKey, CellName cellName)`
    `boolean` | `equals(java.lang.Object o)`
    `java.util.UUID` | `getCFId()`
    `int` | `hashCode()`
    `java.lang.String` | `toString()`
    `long` | `unsharedHeapSize()`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### cfId

          public final java.util.UUID cfId

    - #### partitionKey

          public final byte[] partitionKey

    - #### cellName

          public final byte[] cellName

  - ### Method Detail

    - #### create

          public static CounterCacheKey create(java.util.UUID cfId,
                               java.nio.ByteBuffer partitionKey,
                               CellName cellName)

    - #### getCFId

          public java.util.UUID getCFId()

      Specified by:
        `getCFId` in interface `CacheKey`
      Returns:
        The cf id of the cache key.

    - #### unsharedHeapSize

          public long unsharedHeapSize()

      Specified by:
        `unsharedHeapSize` in interface `IMeasurableMemory`
      Returns:
        the amount of on-heap memory retained by the object that might be reclaimed if the object were reclaimed, i.e. it should try to exclude globally cached data where possible, or counting portions of arrays that are referenced by the object but used by other objects only (e.g. slabbed byte-buffers), etc.

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `java.lang.Object`

    - #### equals

          public boolean equals(java.lang.Object o)

      Overrides:
        `equals` in class `java.lang.Object`

Copyright © 2014 The Apache Software Foundation